filename = 'HorseshoeLakeFlux.xlsx'%change this to your file name
sheet = 'HorseshoeLake' %change this to your data sheet name
xlrange = 'B4:B438' %change this to the range of cells where data is

fluxdata = xlsread(filename, sheet, xlrange); 
GMModel = fitgmdist(fluxdata,2) %note you can indicate that you want any number of components)

max = max(fluxdata);
min = min(fluxdata); 

sigma1 = GMModel.Sigma(1); 
mu1 = GMModel.mu(1); 
component1 = gmdistribution(mu1,sigma1); 

sigma2 = GMModel.Sigma(2); 
mu2 = GMModel.mu(2); 
component2 = gmdistribution(mu2,sigma2); 

%sigma3 = GMModel.Sigma(3); 
%mu3 = GMModel.mu(3); 
%component3 = gmdistribution(mu3,sigma3); 

x1 = transpose(linspace(min,max,1000000)); 
x2 = transpose(linspace(min,max,1000000)); 
%x3 = transpose(linspace(min,max,1000000)); 

plot(x1,pdf(component1,x1),'r-','linewidth',2); hold on 
plot(x2,pdf(component2,x2),'b-','linewidth',2); hold on
%plot(x3,pdf(component3,x3),'g-','linewidth',2); hold on

